<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');

$_SESSION['pCaja'] = '020';
$_SESSION['loginPov'] = 'login_pv001';

$txtUsuCod=utf8_decode($_POST['txtUsuCod']);
$txtUsuCla=utf8_decode($_POST['txtUsuCla']);
$selEmpCod=utf8_decode($_POST['selEmpCod']);
$caja="020";

# EJECUCION DE QUERYS
$db = new dbExec();

$sCaja = $db->query("SELECT * FROM caja WHERE caj_emp='$selEmpCod' AND caj_cod='$caja'");
$sUsuarios = $db->query("SELECT * FROM usuarios WHERE usu_cod='$txtUsuCod'");
$faUsuarios = $db->fetchAssoc($sUsuarios);
$nrUsuarios = $db->numRows($sUsuarios);
$faCaja = $db->fetchAssoc($sCaja);

$sEmpresas = $db->query("SELECT * FROM empresas WHERE emp_cod='$selEmpCod'");
$faEmpresas = $db->fetchAssoc($sEmpresas);
$nrEmpresas = $db->numRows($sEmpresas);

$sPasw = $db->query("SELECT * FROM pasw");
$faPasw = $db->fetchAssoc($sPasw);
$nrPasw = $db->numRows($sPasw);

$resp = array(
  'error'=>false,
);

if($nrUsuarios > 0) {
  $sUsuariosCla=$faUsuarios['usu_clave'];

  # VARIABLES PUBLICAS DEL USUARIO
  $_SESSION['usuCod'] = $txtUsuCod;
  $_SESSION['usuTipo'] = utf8_encode($faUsuarios['usu_tipo']);
  $_SESSION['usuNom'] = utf8_encode($faUsuarios['usu_nom']);
  $_SESSION['usuPue'] = utf8_encode($faUsuarios['usu_pue']);
  $_SESSION['usuPriv'] = utf8_encode($faUsuarios['usu_priv']);
  # VARIABLE PUBLICA ESTABLECIMIENTO
  $_SESSION['establecimiento'] = $faCaja['caj_establecimiento'];
  $_SESSION['cajBodega'] = $faCaja['caj_bodega'];
  $_SESSION['cajNombre'] = $faCaja['caj_nom'];
} else {
  $resp = array(
    'error'=>true,
    'msg'=>array(
      'type'=>'error',
      'title'=>'Usuario Inválido',
      'text'=>'Este usuario no existe, inténtalo de nuevo',
      'ok'=>'Aceptar',
    ),
  );
  echo json_encode($resp);
  return;
}

if($sUsuariosCla!=$txtUsuCla){
  $resp = array(
    'error'=>true,
    'msg'=>array(
      'type'=>'error',
      'title'=>'Contraseña Incorrecta',
      'text'=>'La contraseña no coincide con tu usuario, inténtalo de nuevo',
      'ok'=>'Aceptar'
    ),
  );
  echo json_encode($resp);
  return;
}

if($selEmpCod==0){
  $resp = array(
    'error'=>true,
    'msg'=>array(
      'type'=>'warning',
      'title'=>'Seleccionar Empresa',
      'text'=>'Es necesario seleccionar una empresa para entrar al Sistema',
      'ok'=>'Aceptar'
    ),
  );
  echo json_encode($resp);
  return;
} else {
  if($nrEmpresas > 0) {
    # VARIABLES PUBLICAS DE LA EMPRESA
    $_SESSION['empCod'] = utf8_encode($selEmpCod);
    $_SESSION['empNom'] = utf8_encode($faEmpresas['emp_nom']);
    $_SESSION['empNomc'] = utf8_encode($faEmpresas['emp_nomc']);
    $_SESSION['empDir'] = utf8_encode($faEmpresas['emp_dir']);
    $_SESSION['empTelpat'] = utf8_encode($faEmpresas['emp_telpat']);
    $_SESSION['empFinie'] = utf8_encode($faEmpresas['emp_finie']);
    $_SESSION['empFciee'] = utf8_encode($faEmpresas['emp_fciee']);
    $_SESSION['empFtrab'] = utf8_encode($faEmpresas['emp_ftrab']);
    $_SESSION['empTasa'] = utf8_encode($faPasw['p_tcam']);
    $_SESSION['empConso'] = utf8_encode($faEmpresas['emp_conso']);
    $_SESSION['empNit'] = utf8_encode($faEmpresas['emp_nit']);
    $_SESSION['empMoneda'] = utf8_encode($faEmpresas['emp_moneda']);
    $_SESSION['empCtaic'] = utf8_encode($faEmpresas['emp_ctaic']);    
    $_SESSION['empCtaiv'] = utf8_encode($faEmpresas['emp_ctaiv']);    
    $_SESSION['empCtarisr'] = utf8_encode($faEmpresas['emp_ctarisr']);    
    $_SESSION['empCtariva'] = utf8_encode($faEmpresas['emp_ctariva']);  
    $_SESSION['empCtacaj'] = utf8_encode($faEmpresas['emp_ctacaj']);    
    $_SESSION['empCtacomb'] = utf8_encode($faEmpresas['emp_ctacomb']);
    $_SESSION['empCtaven'] = utf8_encode($faEmpresas['emp_ctaven']);
    $_SESSION['empCtaserv'] = utf8_encode($faEmpresas['emp_ctaserv']);
    $_SESSION['empCtaexport'] = utf8_encode($faEmpresas['emp_ctaexport']);
    $_SESSION['empPrensa'] = utf8_encode($faEmpresas['emp_prensa']);
    $_SESSION['empExensn'] = utf8_encode($faEmpresas['emp_exensn']);
    $_SESSION['empPequesn'] = utf8_encode($faEmpresas['emp_pequesn']);
    $_SESSION['empDir'] = utf8_encode($faEmpresas["emp_dir"]);
    $_SESSION['empCodpos'] = utf8_encode($faEmpresas["emp_codpos"]);
    $_SESSION['empMuni'] = utf8_encode($faEmpresas["emp_muni"]);
    $_SESSION['empDepto'] = utf8_encode($faEmpresas["emp_depto"]);
    $_SESSION['empPais'] = utf8_encode($faEmpresas["emp_pais"]);
    
  } else {
    $resp = array(
      'error'=>true,
      'msg'=>array(
        'type'=>'error',
        'title'=>'Empresa Inválida',
        'text'=>'Esta empresa no existe, inténtalo de nuevo',
        'ok'=>'Aceptar',
      ),
    );
    echo json_encode($resp);
    return;
  }
}

# VARIABLES PUBLICAS DEL PASW
$_SESSION['pTcam'] = utf8_encode($faPasw['p_tcam']);
$_SESSION['pIva'] = ($_SESSION['empPequesn'] == 'S') ? ($faPasw['p_ivapeque']) : ($faPasw['p_iva']);
$_SESSION['pIsr'] = utf8_encode($faPasw['p_isr']);
$_SESSION['pIsr2'] = utf8_encode($faPasw['p_isr2']);
$_SESSION['pRiva'] = utf8_encode($faPasw['p_riva']);
$_SESSION['pBaseisr'] = utf8_encode($faPasw['p_baseisr']);
$_SESSION['pSuper'] = utf8_encode($faPasw['p_super']);
$_SESSION['pRegu'] = utf8_encode($faPasw['p_regu']);
$_SESSION['pDiesel'] = utf8_encode($faPasw['p_diesel']);
$_SESSION['pIgsse'] = utf8_encode($faPasw['p_igsse']);
$_SESSION['pIgssp'] = utf8_encode($faPasw['p_igssp']);
$_SESSION['pIntecap'] = utf8_encode($faPasw['p_intecap']);
$_SESSION['pIrtra'] = utf8_encode($faPasw['p_irtra']);
$_SESSION['pC'] = utf8_encode($faPasw['p_c']);


# ASIGNAR ZONA HORARIA A TODO EL SISTEMA
$_SESSION['pTimezone'] = '';
include_once('../../../php/timezone.php');

$fec = date("Y-m-d H:i:s", STRTOTIME(date('h:i:sa')));
# USUARIO EN LINEA
$iUsuonline = "INSERT INTO usuonline (uo_cod, uo_fec) VALUES ('$txtUsuCod', '$fec')";
$db->query($iUsuonline);
$_SESSION['uoId'] = $db->lastInsertedID();

$db->close();
echo json_encode($resp);
?>